net.sf.jasperreports.engine.fill

## Class JRFillFrame

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillElement
  - - net.sf.jasperreports.engine.fill.JRFillFrame

- All Implemented Interfaces:
    java.lang.Cloneable, DynamicPropertiesHolder, JRFillCloneable, JRBoxContainer, JRChild, JRCloneable, JRCommonElement, JRElement, JRElementGroup, JRFrame, JRIdentifiable, JRPropertiesHolder, JRStyleContainer, JRStyleSetter, JRVisitable

      public class JRFillFrame
      extends JRFillElement
      implements JRFrame

  Fill time implementation of a frame element.
  Version:
    $Id: JRFillFrame.java 6770 2013-11-22 14:48:55Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `JRFillFrame.JRFillFrameElements` Frame element container filler.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRLineBox` | `lineBox`
    `protected JRFrame` | `parentFrame`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElement

      `band, conditionalStylesContainer, currentEvaluation, currentStyle, defaultStyleProvider, delayedEvaluationsMap, dynamicProperties, dynamicTransferProperties, elementGroup, expressionEvaluator, fillContainerContext, filler, initStyle, mergedProperties, originProvider, parent, printElementOriginator, printWhenGroupChanges, propertyExpressions, providerStyle, staticProperties, styleProviders, templates`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `JRFillFrame(JRBaseFiller filler, JRFrame frame, JRFillObjectFactory factory)`
    `protected` | `JRFillFrame(JRFillFrame frame, JRFillCloneFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `JRFillCloneable` | `createClone(JRFillCloneFactory factory)` Creates a working clone of itself.
    `protected JRTemplateElement` | `createElementTemplate()`
    `protected JRTemplateFrame` | `createFrameTemplate()`
    `protected void` | `evaluate(byte evaluation)`
    `protected JRPrintElement` | `fill()`
    `java.util.List<JRChild>` | `getChildren()` Gets a list of all direct children elements or elements groups.
    `java.awt.Color` | `getDefaultLineColor()`
    `JRElement` | `getElementByKey(java.lang.String key)` Gets an element from this group, based on its element key.
    `JRElement[]` | `getElements()` Gets an array containing all the elements and element groups in the hierarchy.
    `JRLineBox` | `getLineBox()`
    `ModeEnum` | `getModeValue()` Returns the element transparency mode.
    `protected JRTemplateFrame` | `getTemplate()`
    `protected boolean` | `prepare(int availableHeight, boolean isOverflow)`
    `protected void` | `resolveElement(JRPrintElement element, byte evaluation)` Resolves an element.
    `protected void` | `rewind()`
    `protected void` | `setStretchHeight(int stretchHeight)`
    `protected void` | `stretchHeightFinal()` Called when the stretch height of an element is final so that the element can perform any adjustments.
    `void` | `visit(JRVisitor visitor)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElement

      `addDependantElement, addDynamicProperty, clone, clone, clone, collectDelayedEvaluations, collectDelayedEvaluations, collectDelayedEvaluations, collectStyleDelayedEvaluations, collectStyleProviderDelayedEvaluations, delayedEvaluate, delayedEvaluationUpdatesTemplate, evaluateExpression, evaluatePrintWhenExpression, evaluateProperties, evaluateStyle, getBackcolor, getBand, getConditionalStylesContainer, getDefaultStyleProvider, getDependantElements, getDynamicProperties, getElementGroup, getElementOrigin, getElementTemplate, getEvaluatedProperties, getEvaluationTimeValue, getField, getFiller, getForecolor, getGroupElements, getHeight, getInitStyle, getKey, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParent, getParentProperties, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getPropertyExpressions, getRelativeY, getStretchHeight, getStretchTypeValue, getStyle, getStyleNameReference, getTemplate, getUUID, getVariable, getWidth, getX, getY, hasDynamicProperties, hasDynamicProperty, hasProperties, initDelayedEvaluationPrint, initDelayedEvaluations, initStyleProviders, isAlreadyPrinted, isAutoEvaluateNow, isDelayedStyleEvaluation, isEvaluateAuto, isEvaluateNow, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isPrintWhenExpressionNull, isPrintWhenTrue, isRemoveLineWhenBlank, isReprinted, isToPrint, isValueRepeating, moveDependantElements, performDelayedEvaluation, registerTemplate, reset, resolveElement, setAlreadyPrinted, setBackcolor, setBand, setConditionalStylesContainer, setCurrentEvaluation, setExpressionEvaluator, setForecolor, setHeight, setMode, setOriginProvider, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setPrintWhenExpressionNull, setPrintWhenTrue, setRelativeY, setRemoveLineWhenBlank, setReprinted, setShrinkable, setStretchType, setStyle, setStyleNameReference, setToPrint, setValueRepeating, setWidth, setX, setY, stretchElement, stretchElementToHeight, transferProperties, transferProperties`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup

      `getElementGroup`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### parentFrame

          protected final JRFrame parentFrame

    - #### lineBox

          protected final JRLineBox lineBox

  - ### Constructor Detail

    - #### JRFillFrame

          public JRFillFrame(JRBaseFiller filler,
                     JRFrame frame,
                     JRFillObjectFactory factory)

    - #### JRFillFrame

          protected JRFillFrame(JRFillFrame frame,
                     JRFillCloneFactory factory)

  - ### Method Detail

    - #### getModeValue

          public ModeEnum getModeValue()

      Description copied from interface: `JRCommonElement`
      Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.
      Specified by:
        `getModeValue` in interface `JRCommonElement`
      Overrides:
        `getModeValue` in class `JRFillElement`

    - #### getDefaultLineColor

          public java.awt.Color getDefaultLineColor()

      Specified by:
        `getDefaultLineColor` in interface `JRBoxContainer`

    - #### evaluate

          protected void evaluate(byte evaluation)
                           throws JRException

      Specified by:
        `evaluate` in class `JRFillElement`
      Throws:
        `JRException`

    - #### rewind

          protected void rewind()
                         throws JRException

      Specified by:
        `rewind` in class `JRFillElement`
      Throws:
        `JRException`

    - #### prepare

          protected boolean prepare(int availableHeight,
                        boolean isOverflow)
                             throws JRException

      Overrides:
        `prepare` in class `JRFillElement`
      Throws:
        `JRException`

    - #### setStretchHeight

          protected void setStretchHeight(int stretchHeight)

      Overrides:
        `setStretchHeight` in class `JRFillElement`

    - #### stretchHeightFinal

          protected void stretchHeightFinal()

      Description copied from class: `JRFillElement`
      Called when the stretch height of an element is final so that the element can perform any adjustments.
      Overrides:
        `stretchHeightFinal` in class `JRFillElement`

    - #### fill

          protected JRPrintElement fill()
                                 throws JRException

      Specified by:
        `fill` in class `JRFillElement`
      Throws:
        `JRException`

    - #### getTemplate

          protected JRTemplateFrame getTemplate()

    - #### createFrameTemplate

          protected JRTemplateFrame createFrameTemplate()

    - #### createElementTemplate

          protected JRTemplateElement createElementTemplate()

      Specified by:
        `createElementTemplate` in class `JRFillElement`

    - #### resolveElement

          protected void resolveElement(JRPrintElement element,
                            byte evaluation)

      Description copied from class: `JRFillElement`
      Resolves an element.
      Specified by:
        `resolveElement` in class `JRFillElement`
      Parameters:
        `element` - the element
        `evaluation` - the evaluation type

    - #### getElements

          public JRElement[] getElements()

      Description copied from interface: `JRElementGroup`
      Gets an array containing all the elements and element groups in the hierarchy.
      Specified by:
        `getElements` in interface `JRElementGroup`

    - #### getChildren

          public java.util.List<JRChild> getChildren()

      Description copied from interface: `JRElementGroup`
      Gets a list of all direct children elements or elements groups.
      Specified by:
        `getChildren` in interface `JRElementGroup`

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElement`

    - #### getLineBox

          public JRLineBox getLineBox()

      Specified by:
        `getLineBox` in interface `JRBoxContainer`

    - #### visit

          public void visit(JRVisitor visitor)

      Specified by:
        `visit` in interface `JRVisitable`

    - #### getElementByKey

          public JRElement getElementByKey(java.lang.String key)

      Description copied from interface: `JRElementGroup`
      Gets an element from this group, based on its element key.
      Specified by:
        `getElementByKey` in interface `JRElementGroup`

    - #### createClone

          public JRFillCloneable createClone(JRFillCloneFactory factory)

      Description copied from interface: `JRFillCloneable`
      Creates a working clone of itself.
      Specified by:
        `createClone` in interface `JRFillCloneable`
      Parameters:
        `factory` - the clone factory to use while creating the clone
      Returns:
        a working clone of itself

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com